function ap = getAP(RankScore, gtbkPath, dataName)

load(fullfile(gtbkPath,  [dataName, '.mat']), 'bkGT');

[rowbk, colbk, frmbk] = size(bkGT);

label = zeros(rowbk*colbk*frmbk, 1);
score = zeros(rowbk*colbk*frmbk, 1);
idx = 1;
for idr = 1 : rowbk
    for idc = 1 : colbk
        for idf = 1 : frmbk
            score(idx,1) = RankScore(idr, idc, idf);
            label(idx,1) = bkGT(idr, idc, idf);
            idx = idx + 1;
        end
    end
end

    posIdx = find(label>=0.5);
    negIdx = find(label<0.5);
    label(posIdx) = 1;
    label(negIdx) = -1;
    
    [ap, prec, rec] = CalAP(score, label);

    

