function featitem  = getBinaryTDData(vidfeat)

    [rowbk, colbk, frmbk, featDim] = size(vidfeat);
    featitem  = zeros((rowbk-1)*colbk*frmbk, 2*(featDim+3));
    idx = 1;
    for idr = 1 : rowbk-1
        for idc = 1 : colbk
            for idf = 1 : frmbk
                topidx  = idr;   %
                downidx = idr+1; %
                featA = [ topidx; idc; idf/frmbk; ...
                    squeeze(vidfeat(topidx, idc, idf, :))];  %
                featB = [downidx; idc; idf/frmbk; ...
                    squeeze(vidfeat(downidx, idc, idf, :))]; %
                feat = [featA-featB;featA+featB];
                featitem(idx,:) = feat;
                idx = idx + 1;
            end
        end
    end

