function ap = getAP(RankScore, gtbkPath, dataName)

load(fullfile(gtbkPath,  [dataName, '.mat']), 'bkGT');

[rowbk, colbk] = size(bkGT);

label = zeros(rowbk*colbk, 1);

idx = 1;
for idr = 1 : rowbk
    for idc = 1 : colbk
        label(idx,1) = bkGT(idr,idc);
        idx = idx + 1;
    end
end

    posIdx = find(label>=0.5);
    negIdx = find(label<0.5);
    label(posIdx) = 1;
    label(negIdx) = -1;
    
    [ap, prec, rec] = CalAP(RankScore, label);
    
    showMat = zeros(rowbk, colbk);
    idx = 1;
    for idr = 1 : rowbk
        for idc = 1 : colbk
            showMat(idr, idc) = RankScore(idx);
            idx = idx + 1;
        end
    end
    

