function featitem = getBinaryLRData(hogfeat)

    [rowbk, colbk, featDim] = size(hogfeat);
    featitem  = zeros(rowbk*(colbk-1), 2*(featDim+2));
    idx = 1;
    for idr = 1 : rowbk
        for idc = 1 : colbk-1
            leftidx  = idc;   %
            rightidx = idc+1; %
            featA = [idr; leftidx;  squeeze(hogfeat(idr, leftidx, :))];  %
            featB = [idr; rightidx; squeeze(hogfeat(idr, rightidx, :))]; %
            feat = [featA-featB;featA+featB];
            featitem(idx,:) = feat;
            idx = idx + 1;
        end
    end