function featitem  = getBinaryTDData(hogfeat)

    [rowbk, colbk, featDim] = size(hogfeat);
    featitem  = zeros((rowbk-1)*colbk, 2*(featDim+2));
    idx = 1;
    for idr = 1 : rowbk-1
        for idc = 1 : colbk
            topidx  = idr;   %
            downidx = idr+1; %
            featA = [topidx;  idc; squeeze(hogfeat(topidx, idc, :))]; %
            featB = [downidx; idc; squeeze(hogfeat(downidx,idc, :))]; %
            feat = [featA-featB;featA+featB];
            featitem(idx,:) = feat;
            idx = idx + 1;
        end
    end