function featitem = getBinaryLRData(vidfeat)

    [rowbk, colbk, frmbk, featDim] = size(vidfeat);
    featitem  = zeros(rowbk*(colbk-1)*frmbk, 2*(featDim+3));
    idx = 1;
    for idr = 1 : rowbk
        for idc = 1 : colbk-1
            for idf = 1 : frmbk
                leftidx  = idc;   %
                rightidx = idc+1; %
                featA = [idr; leftidx;  idf/frmbk; ...
                    squeeze(vidfeat(idr, leftidx,  idf, :))];  %
                featB = [idr; rightidx; idf/frmbk; ...
                    squeeze(vidfeat(idr, rightidx, idf, :))]; %
                feat = [featA-featB;featA+featB];
                featitem(idx,:) = feat;
                idx = idx + 1;
            end
        end
    end
