function featlabel = getBinaryLRLabel(dsGT)

    [rowbk, colbk, frmbk] = size(dsGT);
    featlabel = zeros(rowbk*(colbk-1)*frmbk, 1);

    idx = 1;
    for idr = 1 : rowbk
        for idc = 1 : colbk-1
            for idf = 1 : frmbk
                leftidx  = idc;   %
                rightidx = idc+1; %
                if     dsGT(idr, leftidx, idf) < dsGT(idr, rightidx, idf)
                    featlabel(idx,:) = 1;
                elseif dsGT(idr, leftidx, idf) > dsGT(idr, rightidx, idf)
                    featlabel(idx,:) = 2;
                elseif dsGT(idr, leftidx, idf) == dsGT(idr, rightidx, idf)
                    featlabel(idx,:) = 0;
                end
                idx = idx + 1;
            end
        end
    end
