function featGeneration(dataPath, dataList, dstPath, frmPath, Grid, featDim)

dataNum = length(dataList);
parfor id = 1 : dataNum
    parProcess(id, dataPath, dataList, dstPath, frmPath, Grid, featDim);
end

function parProcess(id, dataPath, dataList, dstPath, frmPath, Grid, featDim)

if ~exist(fullfile(dstPath, [dataList{id}, '.mat']), 'file')
    dataList{id}
	vidfeat = featExtraction(dataPath, dataList{id}, frmPath, Grid, featDim);
	save(fullfile(dstPath, [dataList{id}, '.mat']), 'vidfeat'); 
end