function houghVotingGeneration(featPath, cbPath, dsbkPath, hvPath, dataList, Model)

    dataNum = length(dataList);
    
    parfor id = 1 : dataNum
        parProcess(id, featPath, cbPath, dsbkPath, hvPath, dataList, Model);
    end
    
function parProcess(id, featPath, cbPath, dsbkPath, hvPath, dataList, Model)
        
        if ~exist(fullfile(hvPath, [dataList{id}, '.mat']), 'file')
            load(fullfile(featPath, [dataList{id}, '.mat']), 'vidfeat');
            VtScore = houghVoting(vidfeat, Model);
            save(fullfile(hvPath, [dataList{id}, '.mat']), 'VtScore');
        end
