function [row, col, frmnum, outputdir] = vid2frms(viddir, vidname, frmdir)

    outputdir = fullfile(frmdir, vidname);
    mkdir(fullfile(frmdir, vidname));
    
    cmd = sprintf('ffmpeg -i "%s" "%s"', ...
        fullfile(viddir, vidname), ...
        fullfile(frmdir, vidname, 'frms_%5d.png'));
    
    [status, out] = system(cmd);
    
    im = imread(fullfile(frmdir, vidname, 'frms_00001.png'));
    [row, col, chan] = size(im);
    frmnum = length(dir(fullfile(frmdir, vidname, '*.png')));