function featGeneration(dataPath, dataList, dstPath, Grid, featDim)

dataNum = length(dataList);
parfor id = 1 : dataNum
    parProcess(id, dataPath, dataList, dstPath, Grid, featDim);
end

function parProcess(id, dataPath, dataList, dstPath, Grid, featDim)

if ~exist(fullfile(dstPath, [dataList{id}, '.mat']), 'file')
	hogfeat = featExtraction(dataPath, dataList{id}, Grid, featDim);
	save(fullfile(dstPath, [dataList{id}, '.mat']), 'hogfeat'); 
end
