function featitem  = getUnaryData(vidfeat)

    [rowbk, colbk, frmbk, featDim] = size(vidfeat);
    featitem  = zeros(rowbk*colbk*frmbk, 2*(featDim+3));
    idx = 1;
    for idr = 1 : rowbk
        for idc = 1 : colbk
            for idf = 1 : frmbk
                featitem(idx, :) = [idr; idc; idf/frmbk; ...
                    squeeze(vidfeat(idr, idc, idf, :))]; 
                idx = idx + 1;
            end
        end
    end
